Bug 975557 - Syslog Handler: Message length is not calculated correctly for multi-byte characters
Syslog Handler: Message length is not calculated correctly for multi-byte cha...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Logging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: EAP 6.1.1
Assigned To: James Perkins
:
Depends On:
Blocks: 975555
  Show dependency treegraph
 
Reported: 2013-06-18 14:51 EDT by Kyle Lape
Modified: 2013-09-16 16:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There existed an issue in previous versions of JBoss EAP 6 where the syslog handler would incorrectly calculate a message length as the number of characters in the message, rather than correctly as the total number of bytes. If a syslog message contained any characters that were more than one byte in length, for example characters with umlauts, an invalid message length would be sent. As a result of this issue, some log messages contained invalid or missing characters. In this version of JBoss EAP 6, the syslog handler has been updated and now calculates syslog message lengths correctly. There should no longer be any invalid or missing characters recorded by the syslog handler as a result of invalid message lengths.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:24:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Lape 2013-06-18 14:51:36 EDT
This should be fixed by this commit upstream:

https://github.com/jboss-logging/jboss-logmanager/commit/8599d3c93ab9acec4d42f32524edcb375916eb6b
Comment 1 Rostislav Svoboda 2013-06-20 05:58:39 EDT
QA NACK:
 * Upstream commit changes API for format method, no backward compatibility - with default encoding set to UTF-8
 * Upstream commit contains new functionality - Add support for TCP and SSL connections on the Syslog handler.
Comment 2 Kyle Lape 2013-06-20 11:21:42 EDT
Does the fact that this feature is tech preview make a difference on the backward compatibility issue?  The bug described here renders the syslog handler useless for anyone that might ever include a multi-byte character in a log message, so it would be great to get this fixed.

Perhaps as an alternative, we could at least fix the bug as a separate commit to the internal git repo rather than cherry picking an upstream commit.
Comment 3 Rostislav Svoboda 2013-06-24 05:06:00 EDT
TP decreases backward compatibility issue argument but still - fixing it isn't such a big problem ...

New functionality should go to minor releases so EAP 6.2 should be appropriate target for support of TCP and SSL connections.

For 6.1.1 I would like to see commit just for message length fix for multi-byte characters


Referenced commit is done in master and not yet back-ported to 1.4 branch - https://github.com/jboss-logging/jboss-logmanager/commits/1.4 
I think James could back-port just fix without new features.
Comment 4 Rostislav Svoboda 2013-07-18 09:07:42 EDT
Any progress on this ? PR without new functionality is fine from QE PoV.
Comment 5 James Perkins 2013-07-18 13:07:45 EDT
Not yet. I need to find a good way to back port it without any added functionality. Not impossible, but I just need to take some time to have a good look at it.
Comment 7 Rostislav Svoboda 2013-07-19 06:05:47 EDT
https://github.com/jboss-logging/jboss-logmanager/commit/fb105198d6d3d75b703a18dfa251afba0aed9e5b is fix for this issue, granting qa ack
Comment 9 Petr Kremensky 2013-08-05 06:27:29 EDT
Verified on EAP 6.1.1 ER4

Note You need to log in before you can comment on or make changes to this bug.